#include <iostream>
#include <string>
#include <utility>
#include <queue>
using namespace std;
int main(){
	string velika;cin>>velika;
	string mala;cin>>mala;
	int min=200000;
	pair<char,pair<int,int>> minslovo;
	queue<int> temp;
	temp.push(0);
	temp.push(0);
	for(int i=1;i<mala.length();i++){
		bool nadjen=false;
		int p=0;
		for(int j=temp.back();j<velika.length();j++){
			if(velika[j]==mala[i]){
				nadjen=true;
				temp.pop();
				temp.push(j);
			}
			if(!nadjen){
				if(velika[j]==mala[i-1]){
					p++;
				}
			}
			else{
				if(p<min){
					min=p;
					minslovo=make_pair(mala[i-1],make_pair(temp.front(),temp.back()));
				}
				break;
			}
		}
		if(i==mala.length()-1){
			p=0;
			for(int j=temp.back();j<velika.length();j++){
				if(velika[j]==mala[i]){
					p++;
				}
			}
			if(p<min){
				min=p;
				minslovo=make_pair(mala[i],make_pair(temp.back(),velika.length()));
			}
		}
	}
	cout<<min<<endl;
	for(int i=minslovo.second.first;i<minslovo.second.second;i++){
		if(velika[i]==minslovo.first){
			velika[i]='*';
		}
	}
	cout<<velika;
	return 0;
}